CFETOOLGRAPH(1)

NAME
cfetoolgraph - create graphs from a cfetool database

SYNOPSIS
cfetoolgraph name [--path|-p directory name] [--daily|-d] [--weekly|-w] [--yearly|-y] [--timestamps|-T] [--resolution|-r] [--help|-h]

DESCRIPTION
The cfetoolgraph command dumps graphs of averages for visual inspection of the normal state database. The files are in a format viewable by "gnuplot" or "xgmr" or other graphical plotting program.

The command generates three or four files in a subdirectory of the database directory with a name beginning with either "daily", "weekly" or "yearly", then "-", then either "snapshot" or the current time, if the -T option is used. The files are named "average", "stddev", and "graph". The "graph" file contains both the averages and standard deviations, useful for plotting with error bars.

If a histogram file is present, a fourth file named "distr" will also be created, plotting the distribution of fluctuations about the mean value.

If the -d, -w and -y options are all omitted, the default is to only graph the weekly database.

OPTIONS

--path|-p directory name
    The directory in which the database specified by name can be found.

--daily|-d
    Graph the daily averages database.

--weekly|-w
    Graph the weekly averages database.

--yearly|-y
    Graph the yearly averages database.

--timestamps|-T
    Time-stamp the output filenames with the current time, in order to give a unique name.

--resolution|-r
    Generate high resolution data (), instead of averaging data over periods of one hour to generate simpler and smoother graphs.

--help|-h
    Prints a short help message and then exits.

EXAMPLE
  % cfetoolgraph temperature --path /my/path --resolution

Create graph files of the weekly database in high resolution in the "/my/path/temperature/weekly-snapshot" directory.

AUTHORS
The code and documentation were contributed by Stanford Linear Accelerator Center, a department of Stanford University. This documentation was written by

Elizabeth Cassell <e_a_c@mailsnare.net> and
Alf Wachsmann <alfw@slac.stanford.edu>

COPYRIGHT AND DISCLAIMER
 Copyright 2004 Alf Wachsmann <alfw@slac.stanford.edu> and
                Elizabeth Cassell <e_a_c@mailsnare.net>
 All rights reserved.